Retrieve the list of affiliates for a account.
GET https://services.leadconnectorhq.com/affiliate-manager/{locationId}/affiliates
Authorization
Path parameters
Query parameters
Responses
200 - Successful response
affiliates (object[], required): Affiliate list
_id (string, required): Affiliate id Example: 63d147176c5bbc30e9e091a4
firstName (string): Affiliate first name Example: John
lastName (string): Affiliate last name Example: Doe
phone (string): Affiliate phone number Example: +1 888 888-8888
deleted (boolean): Whether the affiliate is deleted Example: False
locationId (string, required): Account id Example: ve9EPM428h8vShlRW1KT
active (boolean): Whether the affiliate is active Example: True
address (string): Affiliate address Example: 123 Main St
avatar (string): Affiliate avatar URL Example: https://example.com/avatar.png
createdAt (string): Created at timestamp Example: 2024-06-16T00:00:00.000Z
createdBy (object): Created by audit info
facebookUrl (string): Facebook URL Example: https://facebook.com/johndoe
instagramUrl (string): Instagram URL Example: https://instagram.com/johndoe
linkedInUrl (string): LinkedIn URL Example: https://linkedin.com/in/johndoe
twitterUrl (string): Twitter URL Example: https://twitter.com/johndoe
youtubeUrl (string): YouTube URL Example: https://youtube.com/channel
websiteUrl (string): Website URL Example: https://example.com
contactId (string): Contact id associated with the affiliate Example: ve9EPM428h8vShlRW1KT
campaignIds (string[]): Campaign ids
vatId (string): VAT ID Example: VAT123
updatedAt (string): Updated at timestamp Example: 2024-06-16T00:00:00.000Z
w8Form (string): W8 form URL
w9Form (string): W9 form URL
lastUpdatedBy (object): Last updated by audit info
email (string, required): Affiliate email Example: john.doe@example.com
revenue (number): Affiliate revenue Example: 1250.5
customer (number): Customer count Example: 15
lead (number): Lead count Example: 5
droppedCustomer (number): Dropped customer count Example: 2
clickCount (number): Click count Example: 100
paid (number): Paid amount Example: 500
currency (string): Currency code Example: USD
owned (number): Owned amount Example: 750
meta (object, required): Pagination metadata
{
"affiliates": [
{
"_id": "63d147176c5bbc30e9e091a4",
"firstName": "John",
"lastName": "Doe",
"phone": "+1 888 888-8888",
"deleted": false,
"locationId": "ve9EPM428h8vShlRW1KT",
"active": true,
"address": "123 Main St",
"avatar": "https://example.com/avatar.png",
"createdAt": "2024-06-16T00:00:00.000Z",
"createdBy": {},
"facebookUrl": "https://facebook.com/johndoe",
"instagramUrl": "https://instagram.com/johndoe",
"linkedInUrl": "https://linkedin.com/in/johndoe",
"twitterUrl": "https://twitter.com/johndoe",
"youtubeUrl": "https://youtube.com/channel",
"websiteUrl": "https://example.com",
"contactId": "ve9EPM428h8vShlRW1KT",
"campaignIds": [
"650173614761b33c46d33b19"
],
"vatId": "VAT123",
"updatedAt": "2024-06-16T00:00:00.000Z",
"w8Form": "string",
"w9Form": "string",
"lastUpdatedBy": {},
"email": "john.doe@example.com",
"revenue": 1250.5,
"customer": 15,
"lead": 5,
"droppedCustomer": 2,
"clickCount": 100,
"paid": 500,
"currency": "USD",
"owned": 750
}
// truncado: 2 lineas mas
}
400 - Bad Request
401 - Unauthorized
422 - Unprocessable Entity
Example
curl -X GET 'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates', {
method: 'GET',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'GET',
'https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/affiliate-manager/YOUR_locationId/affiliates');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);